<?php

namespace ThurData\Servers\KerioEmail\App\UI\Admin\ProductConfiguration\Pages\Sections;


use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\BoxSectionExtended;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\AdminArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\BoxSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\HalfPageSection;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 29.08.19
 * Time: 08:34
 * Class CalendarFeatures
 */
class CalendarFeatures extends BoxSectionExtended implements AdminArea
{
    protected $id       = 'calendarFeatures';
    protected $name     = 'calendarFeatures';
    protected $title    = 'calendarFeatures';

    public function initContent()
    {
        $this
            ->addSection($this->getLeftSection())
            ->addSection($this->getRightSection());

    }

    /**
     * @return HalfPageSection
     */
    public function getLeftSection()
    {
        $left = new HalfPageSection('left');

        $field = new Switcher('kerioFeatureGroupCalendarEnabled');
        $left->addField($field);

        return $left;

    }

    /**
     * @return HalfPageSection
     */
    public function getRightSection()
    {
        $right = new HalfPageSection('right');

        $field = new Switcher('kerioFeatureCalendarReminderDeviceEmailEnabled');
        $right->addField($field);

        return $right;
    }

}